io.vertx.rxjava3.grpcio.server

## Class GrpcIoServer

- java.lang.Object
- - io.vertx.rxjava3.grpc.server.GrpcServer
  - - io.vertx.rxjava3.grpcio.server.GrpcIoServer

- All Implemented Interfaces:
    Handler<HttpServerRequest>, io.vertx.lang.rx.RxDelegate

      public class GrpcIoServer
      extends GrpcServer
      implements io.vertx.lang.rx.RxDelegate, Handler<HttpServerRequest>

  Extends the so it can be utilized with .

  In Vert.x 5, the core is decoupled from `io.grpc.*` packages to support JPMS.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcIoServer>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcIoServer(GrpcIoServer delegate)`
    `GrpcIoServer(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<Req,Resp> GrpcIoServer` | `callHandler(io.grpc.MethodDescriptor<Req,Resp> methodDesc, Handler<GrpcServerRequest<Req,Resp>> handler)` Set a service method call handler that handles any call made to the server for the service method.
    `boolean` | `equals(Object o)`
    `GrpcIoServer` | `getDelegate()`
    `void` | `handle(HttpServerRequest event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static GrpcIoServer` | `newInstance(GrpcIoServer arg)`
    `static GrpcIoServer` | `server(Vertx vertx)` Create a blank gRPC/IO server
    `static GrpcIoServer` | `server(Vertx vertx, GrpcServerOptions options)` Create a blank gRPC/IO server
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.grpc.server.GrpcServer

      `callHandler, callHandler, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcIoServer> __TYPE_ARG

  - ### Constructor Detail

    - #### GrpcIoServer

          public GrpcIoServer(GrpcIoServer delegate)

    - #### GrpcIoServer

          public GrpcIoServer(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `GrpcServer`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `GrpcServer`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GrpcServer`

    - #### getDelegate

          public GrpcIoServer getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `GrpcServer`

    - #### handle

          public void handle(HttpServerRequest event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<HttpServerRequest>`
      Overrides:
        `handle` in class `GrpcServer`
      Parameters:
        `event` - the event to handle

    - #### server

          public static GrpcIoServer server(Vertx vertx)

      Create a blank gRPC/IO server
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the created server

    - #### server

          public static GrpcIoServer server(Vertx vertx,
                                            GrpcServerOptions options)

      Create a blank gRPC/IO server
      Parameters:
        `vertx` - the vertx instance
        `options` - the server options
      Returns:
        the created server

    - #### callHandler

          public <Req,Resp> GrpcIoServer callHandler(io.grpc.MethodDescriptor<Req,Resp> methodDesc,
                                                     Handler<GrpcServerRequest<Req,Resp>> handler)

      Set a service method call handler that handles any call made to the server for the service method.
      Overrides:
        `callHandler` in class `GrpcServer`
      Parameters:
        `methodDesc` -
        `handler` - the service method call handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static GrpcIoServer newInstance(GrpcIoServer arg)

Copyright © 2025 Eclipse. All rights reserved.